summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorTim Taubert <ttaubert@mozilla.com>2017-05-31 09:44:40 +0200
committerTim Taubert <ttaubert@mozilla.com>2017-05-31 09:44:40 +0200
commitced5d947dc784954bb8ef481dedc84b010fcfe2c (patch)
tree9012e3320a81d90739f83ce4a5b5a4772fe6fd63 /build.sh
parent12eafd286b2ada9d401cb6c79d5771a46b98a42e (diff)
downloadnss-hg-ced5d947dc784954bb8ef481dedc84b010fcfe2c.tar.gz
Bug 1355041 - Add Windows gyp builds to TC r=franziskus
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index ae191b3c8..0a9ce762e 100755
--- a/build.sh
+++ b/build.sh
@@ -15,6 +15,7 @@ set -e
cwd=$(cd $(dirname $0); pwd -P)
source "$cwd"/coreconf/nspr.sh
source "$cwd"/coreconf/sanitizers.sh
+GYP=${GYP:-gyp}
# Usage info
show_help()
@@ -183,7 +184,7 @@ if [[ "$rebuild_nspr" = 1 && "$no_local_nspr" = 0 ]]; then
mv -f "$nspr_config".new "$nspr_config"
fi
if [ "$rebuild_gyp" = 1 ]; then
- if ! hash gyp 2> /dev/null; then
+ if ! hash ${GYP} 2> /dev/null; then
echo "Please install gyp" 1>&2
exit 1
fi
@@ -194,7 +195,7 @@ if [ "$rebuild_gyp" = 1 ]; then
set_nspr_path "$obj_dir/include/nspr:$obj_dir/lib"
fi
- run_verbose run_scanbuild gyp -f ninja "${gyp_params[@]}" "$cwd"/nss.gyp
+ run_verbose run_scanbuild ${GYP} -f ninja "${gyp_params[@]}" "$cwd"/nss.gyp
mv -f "$gyp_config".new "$gyp_config"
fi